import React from 'react'
import './App.css'
import { Routes, Route, Link } from 'react-router-dom'
import Home from './features/Home/Home'
import Catalog from './features/Catalog/Catalog'
import NotFound from './features/NotFound/NotFound'

const App = () => (
    <div className="App">
        <nav>
            <Link to="/">Home</Link>
            <Link to="/catalog">Catalog</Link>
        </nav>
        <Routes>
            <Route path="/" element={ <Home /> } />
            <Route path="/catalog" element={ <Catalog /> } />
            <Route path="*" element={ <NotFound /> } />
        </Routes>
    </div>
)

export default App
